/*
 * Copyright 2008 jpp Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sourceforge.jpp.model;

public class SingletonData extends SourceGeneratorData
{
    private boolean _lazy;
    private boolean _loader;
    
    public boolean isLoader()
    {
        return _loader;
    }
    
    public void setLoader(boolean value)
    {
        _loader = value;
    }

    public boolean isLazy()
    {
        return _lazy;
    }
    
    public void setLazy(boolean value)
    {
        _lazy = value;
    }
}
